# Describable

interface Describable

Types can implement this interface when they provide a human-readable display name. It is strongly encouraged to compute this display name lazily: computing a display name, even if it's only a string concatenation, can take a significant amount of time during configuration for something that would only be used, typically, in error messages.

#### Since

3.4

#### Inheritors

IdeWorkspace
JavaToolchainSpec
NativePlatform
BuildInitSpec
VersionControlSpec
SourceDirectorySet
FileCopyDetails
VersionConstraint
CapabilitySelector

## Functions

getDisplayName
Link copied to clipboard
abstract fun getDisplayName(): String
Returns the display name of this object.